Ask Your Question
0

A required class was missing while executing org.codehaus.enunciate:maven-enunciate-plugin:1.28:docs: com/sun/mirror/apt/AnnotationProcessorFactory

asked 2015-02-09 16:28:55 -0700

esumit gravatar image

On compiling stable/helium it give following error :

" A required class was missing while executing org.codehaus.enunciate:maven-enunciate-plugin:1.28:docs: com/sun/mirror/apt/AnnotationProcessorFactory "

Configurations :

F:\JAVA\ODLFeb2015\controller>mvn -version Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=2048M; support was removed in 8.0 Apache Maven 3.2.5 (12a6b3acb947671f09b81f49094c53f426d8cea1; 2014-12-14T09:29:23-08:00) Maven home: C:\Program Files\mvn325 Java version: 1.8.025, vendor: Oracle Corporation Java home: C:\Program Files\Java\jdk1.8.025\jre Default locale: enUS, platform encoding: Cp1252 OS name: "windows 7", version: "6.1", arch: "amd64", family: "dos" F:\JAVA\ODLFeb2015\controller>java -version java version "1.7.075" Java(TM) SE Runtime Environment (build 1.7.0_75-b13) Java HotSpot(TM) 64-Bit Server VM (build 24.75-b04, mixed mode)

F:\JAVA\ODLFeb2015\controller>

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-02-10 07:17:45 -0700

Robert Varga gravatar image

https://bugs.opendaylight.org/show_bug.cgi?id=2626 tracks this. The idea is to make enunciate activated only for JDK7 builds, as there are no current plans for a Java-8-compliant enunciate plugin.

edit flag offensive delete publish link more
Login/Signup to Answer

Question Tools

Follow
1 follower

Stats

Asked: 2015-02-09 16:28:55 -0700

Seen: 1,408 times

Last updated: Feb 10 '15